ViewChartAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class ViewChartAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.BaseAction
              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricDisplayRangeAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.ViewChartAction

    public class ViewChartAction

extends MetricDisplayRangeAction

View a chart for a metric.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.hyperic.hq.ui.action.BaseAction
`NO_RETURN_PATH, YES_RETURN_PATH`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ViewChartAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Modify the metric chart as specified in the given `@{link ViewActionForm}`.
`protected org.apache.struts.action.ActionForward` | `returnRedraw(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)`
`protected org.apache.struts.action.ActionForward` | `saveChartToDashboard(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,java.lang.Object> forwardParams, ViewChartForm chartForm, AppdefEntityID adeId, boolean isEE)`

Methods inherited from class org.hyperic.hq.ui.action.BaseAction
`checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, constructForward, constructForward, constructForward, constructForward, execute, returnAdd, returnAdd, returnAdd, returnCancelled, returnCancelled, returnCancelled, returnCancelled, returnFailure, returnFailure, returnFailure, returnFailure, returnFailure, returnNew, returnNew, returnNew, returnNew, returnNew, returnOkAssign, returnOkAssign, returnRemove, returnRemove, returnRemove, returnReset, returnReset, returnReset, returnReset, returnSuccess, returnSuccess, returnSuccess, returnSuccess, returnSuccess`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ViewChartAction

    public ViewChartAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Modify the metric chart as specified in the given `@{link ViewActionForm}`.

  Overrides:
    `execute` in class `MetricDisplayRangeAction`
  Throws:
    `java.lang.Exception`

### returnRedraw

    protected org.apache.struts.action.ActionForward returnRedraw(javax.servlet.http.HttpServletRequest request,
                                                                  org.apache.struts.action.ActionMapping mapping,
                                                                  java.util.Map params)
                                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### saveChartToDashboard

    protected org.apache.struts.action.ActionForward saveChartToDashboard(org.apache.struts.action.ActionMapping mapping,
                                                                          javax.servlet.http.HttpServletRequest request,
                                                                          java.util.Map<java.lang.String,java.lang.Object> forwardParams,
                                                                          ViewChartForm chartForm,
                                                                          AppdefEntityID adeId,
                                                                          boolean isEE)
                                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.